Bug Hunting Session
Bug 91097 - EDITING & FORMATTING: Disparity between inserting shapes from menu and toolbar
Summary: EDITING & FORMATTING: Disparity between inserting shapes from menu and toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords:
: 94277 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-05-05 15:14 UTC by Gordo
Modified: 2016-10-25 19:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-05-05 15:14:33 UTC
Simple text is aligned differently and there is no option to add a text box to the shape added through the menu.

1. New Text Document.
2. Insert → Shapes → Rectangle and draw it.
3. Double click on rectangle or Enter if it is already selected.
4. Type something.
Result:
Text is centred horizontally.
5. Right click on rectangle.
Result:
No option to Add Text Box.

6. From the toolbar at top, open dropdown in Basic Shapes and select Rectangle and draw it.
7. Double click on rectangle or Enter if it is already selected.
8. Type something.
Result:
Text is aligned left.
9. Right click on rectangle.
Result:
Option to Add Text Box.

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 1 Buovjaga 2015-05-07 14:09:22 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: 6e78bf76f3a10b43475e1bd801bdcbb9ce62f668
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-05-07_00:45:19
Locale: fi-FI (fi_FI)
Comment 2 Gordo 2015-05-24 18:37:00 UTC
I was testing something else and noticed that on the Drawing toolbar the Rectangle and the Basic Shapes Rectangle are now the same but the Rectangle from the menu is still as I reported.

Windows Vista 64
Version: 5.1.0.0.alpha1+
Build ID: 891304bb0ad3af9d8d73f947f25477abf57485a4
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-24_00:17:01
Comment 3 Maxim Monastirsky 2015-09-29 18:12:30 UTC
*** Bug 94277 has been marked as a duplicate of this bug. ***
Comment 4 Maxim Monastirsky 2015-09-29 18:28:50 UTC
@Jay: Maybe you can change the commands in Insert->Shapes menu to the .uno:BasicShapes.* equivalents as much as possible to stop this confusion, so that the menu and the toolbar will have consistent behaviour? This will also benefit Bug 85227.

I also noticed that the drawing toolbar has both types of shapes, with one of them hidden by default (e.g. both .uno:Rect and .uno:BasicShapes.rectangle). I find it very confusing to have two "Rectangle" buttons on one toolbar, where actually each one is doing something different. I suggest to simply remove the "dumb" variants (like .uno:Rect) completely from the toolbar, as the .uno:BasicShapes.* ones seems superior in many ways. Thanks in advance.
Comment 5 Yousuf Philips (jay) (retired) 2015-10-02 20:31:34 UTC
(In reply to Maxim Monastirsky from comment #4)
> @Jay: Maybe you can change the commands in Insert->Shapes menu to the
> .uno:BasicShapes.* equivalents as much as possible to stop this confusion,
> so that the menu and the toolbar will have consistent behaviour? This will
> also benefit Bug 85227.

Roger.

> I also noticed that the drawing toolbar has both types of shapes, with one
> of them hidden by default (e.g. both .uno:Rect and
> .uno:BasicShapes.rectangle). I find it very confusing to have two
> "Rectangle" buttons on one toolbar, where actually each one is doing
> something different. I suggest to simply remove the "dumb" variants (like
> .uno:Rect) completely from the toolbar, as the .uno:BasicShapes.* ones seems
> superior in many ways. Thanks in advance.

Roger.
Comment 6 Yousuf Philips (jay) (retired) 2015-10-04 17:19:14 UTC
Patch is in - https://gerrit.libreoffice.org/19130
Comment 7 Commit Notification 2015-10-06 18:59:05 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3080e4c09b7c4894d4f0f52c9beed4298f3fd23f

tdf#91097 Substitute rectangle and ellipse uno commands

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-10-06 19:01:35 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fedf965c51a9f57e5cde203a3d15a6c244558002

Related: tdf#91097 Support of enum commands in MenuBarManager

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-10-06 19:16:39 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1bc911eca173131fdc6e7e3889d128fa03adbf72

tdf#91097 Fix also for Draw

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Yousuf Philips (jay) (retired) 2015-10-07 05:59:34 UTC
@Maxim: So do we want to backport this to 5.0?
Comment 11 Maxim Monastirsky 2015-10-08 12:27:42 UTC
(In reply to Yousuf (Jay) Philips from comment #10)
> @Maxim: So do we want to backport this to 5.0?
I hope so. Hard to believe there will be any regressions from the change of comment 8. What isn't clear to me is if such menu/toolbar changes are allowed in sense of the UI freeze. Any idea on that? Let me know, and I'll do the backport if needed.
Comment 12 Yousuf Philips (jay) (retired) 2015-10-11 10:04:48 UTC
(In reply to Maxim Monastirsky from comment #11)
> I hope so. Hard to believe there will be any regressions from the change of
> comment 8. What isn't clear to me is if such menu/toolbar changes are
> allowed in sense of the UI freeze. Any idea on that? Let me know, and I'll
> do the backport if needed.

Yes it is fine to backport as we are simply swapping one entry for another and no translation is involved.
Comment 13 Luke 2015-10-13 05:50:06 UTC
Yousuf,
The changes affect Impress, Calc, and Writer. Did you test them all? If not, please wait until Bug 95000 is bisected before backporting.

Thanks!
Comment 14 Commit Notification 2015-10-14 08:05:38 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be6440f4624be4da84ac8b71e66297d3e43ca249&h=libreoffice-5-0

tdf#91097 Substitute rectangle and ellipse uno commands

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.